org.apache.poi.xwpf.usermodel

## Class XWPFFieldRun

- java.lang.Object
- - org.apache.poi.xwpf.usermodel.XWPFRun
  - - org.apache.poi.xwpf.usermodel.XWPFFieldRun

- All Implemented Interfaces:
    CharacterRun, IRunElement, ISDTContents

      public class XWPFFieldRun
      extends XWPFRun

  A run of text which is part of a field, such as Title of Page number or Author. Any given Field may be made up of multiple of these.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xwpf.usermodel.XWPFRun

      `XWPFRun.FontCharRange`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFFieldRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField field, org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run, IRunBody p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField` | `getCTField()`
    `java.lang.String` | `getFieldInstruction()`
    `void` | `setFieldInstruction(java.lang.String instruction)`

    - ### Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFRun

      `addBreak, addBreak, addBreak, addCarriageReturn, addChart, addPicture, addTab, getCharacterSpacing, getColor, getCTR, getDocument, getEmbeddedPictures, getEmphasisMark, getFontFamily, getFontFamily, getFontName, getFontSize, getKerning, getLang, getParagraph, getParent, getPhonetic, getPictureText, getRunProperties, getStyle, getSubscript, getText, getTextHightlightColor, getTextPosition, getTextScale, getUnderline, getUnderlineColor, getUnderlineThemeColor, getVerticalAlignment, isBold, isCapitalized, isDoubleStrikeThrough, isEmbossed, isHighlighted, isImprinted, isItalic, isShadowed, isSmallCaps, isStrike, isStrikeThrough, isVanish, removeBreak, removeCarriageReturn, removeTab, setBold, setCapitalized, setCharacterSpacing, setColor, setDoubleStrikethrough, setEmbossed, setEmphasisMark, setFontFamily, setFontFamily, setFontSize, setImprinted, setItalic, setKerning, setLang, setShadow, setSmallCaps, setStrike, setStrikeThrough, setStyle, setSubscript, setText, setText, setTextHighlightColor, setTextPosition, setTextScale, setUnderline, setUnderlineColor, setUnderlineThemeColor, setVanish, setVerticalAlignment, text, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XWPFFieldRun

          public XWPFFieldRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField field,
                              org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run,
                              IRunBody p)

  - ### Method Detail

    - #### getCTField

          @Internal
          public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSimpleField getCTField()

    - #### getFieldInstruction

          public java.lang.String getFieldInstruction()

    - #### setFieldInstruction

          public void setFieldInstruction(java.lang.String instruction)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.